InraPorc®

InraPorc® has been developed by INRA - Agrocampus, Unité Mixte de Recherches "Systèmes d'Élevage, Nutrition Animale et Humaine" (UMR SENAH) with support from AJINOMOTO EUROLYSINE S.A.S. and other partners. The software tool allows determining nutritional requirements for pigs as a function of a performance objective. It also allows simulating performance of pigs as a function of nutritional inputs. The software is structured in three main modules:

  • The feed module allows characterizing the feeds and feed ingredients (raw materials) that are used in feed formulation.
  • The sow module allows calculating the requirements of sows during gestation or lactation and to simulate the change in body characteristics of the sow as a function of feed intake. The concepts have been published in the Journées de la Recherche Porcine (Dourmad et al., 2005) and in a special issue of Animal Feed Science and Technology (Dourmad et al., 2008).
  • The growing pig module allows simulating the response of growing pigs as a function of feed intake and to determine nutritional requirements. The concepts have been published at the Journées de la Recherche Porcine (van Milgen et al., 2005) and in a special issue of Animal Feed Science and Technology (van Milgen et al., 2008).

For additional information, please visit the InraPorc web site.


License information

Licensing

InraPorc is available in three different license forms (evaluation, education and complete). The evaluation license requires no registration and allows getting a feeling on how the software works. Information such as feed, feed ingredients, animal profiles can be created during a session but cannot be saved for future utilization. Consequently, all information created during a session will be lost when quitting the software. The educational license allows saving a limited number of information related to feeds (10) and feed ingredients (5) or to feeding strategies and animal profiles (5). For educational organizations, this version of InraPorc is available at no cost although registration is required. The complete version is not restricted in any way.

Both the educational and complete versions require a license activation key that has to be provided when starting the software for the first time. In the absence of a valid license activation key, the software will function in read-only mode. The license activation key will be included in a license file (InraPorc.lic), which will be sent to you upon registration. You may request a license activation key if you want to use the educational version. If you wish to use the complete version, you have to fill out the license order form before requesting a license activation key. After submitting the order, we will send you one (or more) license numbers that you will have to use when requesting a license activation key. We will also forward your order to Inra Transfert, who will send you an invoice. Awaiting the invoice and payment, you may request a temporary license activation key, which will be valid for 2 months.


License activation key

Both the educational and complete versions require a license activation key that has to be provided when starting the software for the first time. In the absence of a valid license activation key, the software will function in read-only mode. The procedure on how to obtain a license activation key is illustrated in a Flash animation.

To request a license activation key, fill out the registration information in the license information window of InraPorc. Do not forget to select the appropriate license type and the license number for the complete version. It is important that you enter this information while using the computer on which InraPorc will be used. When you click on the button "Automatic", the request for a license key will be sent automatically to our server. If you prefer to request the license key manually (or if you are not connected to the internet), click on the "Manual" button. The license information will then be saved in the file InraPorc.lic, which you will have to upload manually to our server.

After have received your request, we will generate a license activation key and include this key in the file InraPorc.lic. This file will be sent back to you by e-mail and you can save it in a location of your choice. To activate your license, start the InraPorc program and open the license windows. Click on the "Import" button and indicate where you saved the file InraPorc.lic.

The license activation key will be valid until December 31st of the current year. An updated license file will be sent automatically to licensees of the complete version. Academic users have to request a new license activation key each year .


Configuration

General

The configuration menu consists of four tab-sheets. In the "General" tab-sheet, you can indicate the default data directory. Every time you run InraPorc, it will look in this directory for the data. In this tab-sheet, you can also indicate where data should be exported (as an Excel file) if you want to (re-)use the data from a simulation. In this tab-sheet, you can also define the default window size, language and monetary symbol. If you want to display a company logo (maximum 120 pixels in height) on the main window of InraPorc, you can indicate its location here.
On several occasions, warning messages will be displayed during the utilization of InraPorc. When these messages are shown, you have the option to not show them again. In the configuration menu, you can re-activate the display of all warning messages.

Feed ingredients and feeds

In this tab-sheet, user preferences concerning the composition and digestibility of feed ingredients and feeds can be given. Composition can be shown on an as-fed or dry matter basis whereas digestibility values can be shown as digestibility (%) or digestible content (e.g., g/kg). Composition values can typically be given as g/kg or as %. Amino acid and fatty acid composition can also be given relative to the crude protein and total fatty acid content, respectively. The "Feed ingredients" tab-sheet in the "Feed composition" window can be hidden in order to avoid unintentional disclosure of information to third parties.

Sow

In the "Sow" tab-sheet, default modes of expression for graphs can be defined. For gestating sows, the (default) characteristics of feeding strategies used in the factorial calculation of requirements can be indicated here.

Growing pig

The default modes of expression for graphs can be defined here as well as the preferred mode of expressing feed efficiency (i.e., gain:feed or feed:gain).
The definition of the carcass (and thus the dressing percentage) varies between countries. To correctly illustrate the change in dressing percentage during growth, the user can indicate in this tab-sheet the parts are considered part of the carcass (by default, it includes the head, tongue, feet and tail, but not the diaphragm and kidney fat). Also, the definition of backfat thickess and lean meat percentage depends on how it is measured or estimated. The two default equations predict backfat thickness 6 cm from the midline between the 3rd and 4th last ribs (at slaughter), and the lean meat percentage as defined in the European Union (Commission regulation N° 1197/2006). The user can modify these traits by providing his own equations. As InraPorc works internally on protein and lipid mass, the equations should be a function of protein and/or lipid mass, or of the protein and/or lipid content in empty body weight.


Data directory

By default InraPorc will load the files that are found in the data directory that is defined in the configuration window. InraPorc can use data from another data directory, provided that the selected directory contains all of the files that are required (i.e., the files with the extension *.rec). If you wish to use more than one data directory (e.g., for use with different languages or different data sets), it is recommended that you install these by using the installation tool that can be found in InraPorc program directory.


Feed ingredients

Composition of feed ingredients

Many calculations in InraPorc are based on feed composition. Rather than manually entering all the composition and digestibility values for a feed, the ingredient composition may be used to determine feed composition. InraPorc includes a predefined database of feed ingredients. These data originate mostly from the INRA-AFZ publication "Tables of composition and nutritional value of feed materials: pigs, poultry, cattle, sheep, goats, rabbits, horses, fish" (Sauvant et al., 2002). These data are protected by copyright law and are proprietary of INRA and AFZ. Although the data may be used by the end-user, ownership of the data will not be ceded. They remain property of INRA and AFZ, even though the data have been included in the software. The data have been collected with care and have been verified. Nevertheless, the end-user remains solely responsible for the use of the data and for the possible modifications. The INRA-AFZ feed ingredients cannot be changed, deleted or renamed (all data is shown in a grey background). Nevertheless, the user can add feed ingredients.

Feed ingredients are defined through different characteristics, as indicated by the tab-sheets (i.e., elementary characteristics, amino acids, fatty acids, minerals, and fiber). In the current version of InraPorc, only the information in the tab-sheets "elementary characteristics", "amino acids", and "mineral balance" is used in model calculations; information given in the other tab-sheets may be used in the future.

Feed ingredients can be created from scratch or by copying the information from a previously defined feed ingredient. User-created feed ingredients can be changed, renamed, deleted, and a comment can be added to each ingredient. The comment button also allows indicating the type of feed ingredient (e.g., cereals).

Numerical data can only be entered in white boxes with black fonts. Data given in grey boxes are calculated or entered elsewhere and given for reference. It is important that the information in the required tab-sheets is provided as accurately as possible. Unknown information cannot be identified as such and will be stored as a "zero" value. Nevertheless, calculations will be performed with these "zero" values. Different modes of expressing feed composition (e.g., g/kg feed, % in DM) and digestibility are available. These modes can be selected in the configuration menu.


Feeds

Feed composition

Many calculations in InraPorc are based on feed composition. Rather than manually entering all the composition and digestibility values for a feed, the ingredient composition may be used to determine feed composition.

Feeds can be created from scratch or by copying the information from a previously defined feed. All feeds can be changed, renamed, deleted, and a comment can be added to each feed. The "Comment" button also allows indicating the type of feed (i.e., growing pig or sow), distribution form (meal or pelleted feeds), and the cost of the feed.

Feeds are defined through different characteristics, as indicated by the tab-sheets elementary composition, amino acids, fatty acids, minerals, fiber and feed ingredients. In the current version of InraPorc, only the information in the tab-sheets "elementary characteristics", "amino acids", "minerals" and "feed ingredients" is used in model calculations; information given in the other tab-sheets may be used in the future.

Numerical data can only be entered in white boxes with black fonts. Data given in grey boxes are calculated or entered elsewhere and given for reference. It is important that the information in the required tab-sheets is provided as accurately as possible. Unknown information cannot be identified as such and will be stored as a "zero" value. Nevertheless, calculations will be performed with these "zero" values. Different modes of expressing feed composition (e.g., g/kg feed, % in DM) and digestibility are available. These modes can be selected in the configuration menu.


Elementary composition of feed ingredients and feeds

Elementary composition

In this tab-sheet, information concerning the composition and fecal digestibility of nutrients is entered. Components of the elementary composition include dry matter, ash, organic matter (calculated from ash), crude fat, crude protein, starch, and sugars. Different fecal digestibility coefficients may be defined for growing pigs or for sows. The fecal digestibility of starch and sugars is supposed to be 100%.

Data is stored internally on a dry matter basis and this is the first information to be given when creating a new feed ingredient or feed. If the composition is viewed on an as-fed basis, changing the dry matter content will proportionally change the composition of the other nutrients. A similar logic may be used for protein relative to amino acids. If the checkbox on the right-hand side of the numerical value for crude protein is checked, a constant ratio between amino acids and crude protein will be maintained. Increasing the crude protein level will then proportionally increase the level of all amino acids. The latter may nevertheless be changed in the amino acid tab-sheet.

Energy values (GE, DE, ME, and NE) are all calculated from data obtained in our laboratory (Noblet et al., 1994). These equations are based on the elementary composition, their digestibility coefficients and the so-called "digestible residue". This residue, which contains virtually all the fiber, is defined as the difference between digestible organic matter and the sum of the digestible crude fat, crude protein, starch, and sugar fractions.

GE = ((22.64 · CP) + (38.76 · FAT) + (17.54 · STARCH) + (16.71 · SUGARS) + (18.58 · RESIDUE)) / 1000
DE = ((23.31 · dCP) + (39.00 · dFAT) + (17.45 · STARCH) + (16.62 · SUGARS) + (16.61 · dRESIDUE)) / 1000
ME = ((20.34 · dCP) + (39.00 · dFAT) + (17.45 · STARCH) + (16.62 · SUGARS) + (15.51 · dRESIDUE)) / 1000
NE = ((12.08 · dCP) + (35.01 · dFAT) + (14.32 · STARCH) + (11.94 · SUGARS) + (8.64 · dRESIDUE)) / 1000

Because of the strict relation that is maintained in InraPorc between digestible nutrients and energy values, the latter may be used to correct the digestibility coefficients. After checking the corresponding checkbox, the user has the option to correct digestibility coefficients according to a known DE, ME, or NE value. This will then correct the digestibility of organic matter, crude fat and crude protein (the digestibility of starch and sugars remains 100%). For further information concerning the calculation of energy values from the chemical composition, the user is referred to EvaPig.

It is important to realize that the InraPorc sow module works internally on an ME-basis; the elementary composition and digestibility values are thus not used directly. On the other hand, the growing pig module works internally on a digestible nutrient basis. For this module, it is essential that digestibility values are as accurate as possible.


Amino acid composition of feed ingredients and feeds

Amino acids

The sow and growing pig modules in InraPorc assume that the supply of essential amino acids potentially limits performance. Information for all twelve essential amino acids is required for these modules to function properly. The preferred mode of expressing amino acids is on a standardized ileal digestible basis. With this mode of expression, digestibility values are corrected for basal endogenous losses. The latter are assumed to vary proportionally with the dry matter feed intake. For a more detailed discussion of different modes of expressing amino acid digestibilities, the user is referred to the French Tables of composition of nutritional value of feed materials (Sauvant et al., 2004), AmiPig, or EvaPig.

According to the user preference (see configuration menu), the standardized ileal digestibility value can be given as a digestibility coefficient or a digestible fraction. The corresponding value expressed on an apparent digestible basis is also given. The composition of ideal protein (i.e., the amino acid value expressed relative to lysine) is given both on a standardized ileal digestible and total basis.

A number of statistics concerning amino acids are reported. As cysteine can be synthesized from methionine, and tyrosine from phenylalanine, values for the sum of these are given. Similarly, the ratios between tryptophan and neutral amino acids (i.e., phenylalanine, tyrosine, isoleucine, leucine, and valine) and between essential amino acid nitrogen and total nitrogen are reported. The latter two statistics are currently not exploited in the simulation modules (see Sève, 1994 and Lenis et al., 1999 for a discussion on these topics).


Fatty acid composition of feed ingredients and feeds

Fatty acids

The fatty acid composition of feeds is currently not used in the simulation modules. Consequently, not providing this information (i.e., leaving values at zero) will be without consequence. In a future version of InraPorc, this information will be used to estimate the fatty acid composition of the carcass. The fatty acid composition of the feed and feed ingredients depends on the contribution of each fatty acid as well as on the fatty acid to lipid ratio. The remaining fraction consists of glycerol, non-identified fatty acids and the non-triacylglyceride ether-extracted fraction. Different statistics concerning fatty acid quality are provided. Data are stored internally as a percentage of total lipid. Consequently, changing the lipid content of the feed will proportionally change the fatty acid content of the feed.


Mineral composition of feed ingredients and feeds

Minerals

The mineral composition of feeds does not directly intervene in the calculation of performance of sows and growing pigs. Although for phosphorus the requirements are calculated, an insufficient phosphorus supply will not result in a simulated performance reduction. For some minerals (P, Ca, K, Cu and Zn), intake is compared with retention (based on the average mineral retention in daily gain), allowing the calculation of mineral excretion. No or incomplete information for feed ingredients (i.e., leaving values at zero) may underestimate the mineral content of the feed and hence underestimate mineral excretion. If InraPorc is used to estimate the environmental impact of swine production, the user has to ensure that the mineral content of the feed is accurate.

A distinction is made between macro-elements (Ca, P, Na, K, Mg, Cl, and S) and trace elements (Cu, Zn, Mn, Fe, Se, Co, Mo and I). The cation-anion balance and the electrolyte balance are calculated from the macro-elements.

Several supplementary characteristics concerning P digestibility and metabolism are given. Phosphorus requirements are calculated on a digestible P basis. Different digestible P values can be given for pellets and mash feeds (depending on the denaturation of endogenous phytase). The phytase activity of feed ingredients can be entered, but is currently not used by the software. Microbial phytase may be used as a feed ingredient. It is recommended that each level of phytase (e.g., 500, 1000 and 1500 IU) be identified as a different feed ingredient. In that way, different digestible P values can be attributed to each level of phytase.


Fiber content of feed ingredients and feeds

Fiber

The fiber composition of feed ingredients and feeds is currently not used in any calculation. The fiber content includes crude fiber, NDF, ADF, ADL and total dietary fiber.


Raw materials in a feed

Feed ingredients

The chemical composition and digestibility values of a feed may be entered manually. However, this operation can be simplified by specifying the ingredient composition of the feed and have the feed composition and digestibility calculated from the feed ingredients. Up to fifty feed ingredients may be used in a feed. Feed ingredients can be selected from a list and their content in the feed (expressed as g/kg feed) should be given. The dry matter content of each ingredient can be modified for the purpose of feed formulation (i.e., the dry matter content will not be changed in the feed ingredient database). Once all ingredients are selected, the feed composition can be calculated by clicking on the "Calculate" button. It is recommended to calculate the feed composition only when the sum of all feed ingredients is (close to) 1000 g/kg. Upon validation of the operation, the chemical composition and digestibility values of the feed will be replaced by those calculated from the feed ingredients. The composition and digestibility values may be changed manually afterwards. Consequently, there is no dynamic link between feed composition and the feed ingredients. The latter only facilitates defining the feed composition.

The "Graph" button allows showing the contribution of each feed ingredient to the feed and the chemical components. For example, it can be used to show the contribution of soybean meal to the total digestible lysine supply.

In the simulations, the total quantity of feed ingredients used can be displayed.


Feed cost

Costs of feed

The cost of a feed can be entered by clicking on the comment-button for each feed. In order to simplify changing the prices of feeds, the information has also been grouped together in a separate menu item. Only prices of feeds can be stored; prices of feed ingredients are not used in InraPorc. The monetary symbol can be defined in the configuration menu of InraPorc.


Importing and exporting feeds and feed ingredients

Import / Export

To facilitate the exchange of feeds and feed ingredients between users of InraPorc or with other software, an import/export utility is provided. Feeds and feed ingredients may be exported and imported through a CSV-file. The decimal symbol and the list separator are taken from the Windows configuration (see the Regional Settings in the Microsoft Windows control panel). The (imported or exported) data are formatted according the mode of expression of units provided in the InraPorc configuration menu. The current mode of expression of units is listed on the right-hand side. The CSV-file can be read and modified with spreadsheet programs such as Microsoft Excel. A single CSV-file may contain both feeds and feed ingredients.

Importing feeds and feed ingredients

Imported feeds or feed ingredients should have a unique, non-existing name. If the name already exists in the database, it should be renamed. It is technically possible to import a feed ingredient as a feed, or a feed as a feed ingredient. Only the feed type (growing pigs, sows) or feed ingredient type (e.g., cereal) has then to be changed manually.

Before importing data into InraPorc, please verify the Regional Settings in the Control Panal of Windows for the formatting of a CSV file (decimal symbol, list separator) as well as the mode of expression of feed ingrediets and feeds in Inraporc. If you send exported data to another user, it is important that you provide this information to that user.

Exporting feeds and feed ingredients

To export data to a CSV-file, either an existing file may be used or a new CSV-file may be created. The first line of a CSV-file is supposed to contain header information and will not be imported.

Although the feed composition may be based on the composition of feed ingredients, the latter information will not be included when exporting a feed to a CSV-file. A feed exported to (or imported from) a CSV-file will therefore contain only the chemical composition of the feed.


Sow module

Sow

The general characteristics of the sow module have been published at the French Journées de la Recherche Porcine (Dourmad et al., 2005) and in a special modelling issue in Animal Feed Science and Technology (Dourmad et al., 2008).

In order to perform a simulation, the following items need to be defined:

  • Feed sequence plan
  • Feed rationing plan
  • Housing
  • Animal profile

After these items have been defined, you can perform:

  • Single simulation
  • Comparison of simulations
  • Sensitivity analysis

In addition, the sow module can be used to calculate nutritional requirements by a factorial approach:

  • Gestating sow or herd


Feed sequence plan (sow)

Feed sequence plan

Qualitative and quantitative aspects of feeding are defined independently. Qualitative aspects are defined in a feed sequence plan, whereas quantitative aspects are defined in a feed rationing plan. A feed sequence plan indicates which feeds are used during a simulation. Existing feed sequence plans can be selected from a list, and plans can be created, deleted, renamed or printed by clicking on the appropriate buttons on the right-hand side of the list. A comment may be added for each feed sequence plan.

Although the general structure of feed sequence plans for sows is similar to that used for growing pigs, there are some differences between the two. In fact, the feed sequence plans for sows regroup the three periods corresponding to the three stages of reproduction: gestation, lactation, and the weaning to conception interval.

For each of these stages, the feed sequence is described by a series of successive rules. Each rule is defined by a termination condition and a type of feed that is distributed. The first rule begins at the start of the simulation and is effective until the termination condition of that rule is met. It will then be succeeded by a second rule, which will be effective until its termination condition is met. The last rule in a feed sequence plan is effective until the termination condition of the simulation is met.

For sows, the termination conditions are determined by a duration (number of days) or a physiological event corresponding to a change of state (farrowing, weaning, insemination). For each rule, it is possible to choose a feed, a fixed combination of two feeds or two feeds that are used in a proportion that varies with time (progressive transition).


Feed rationing plan (sow)

Feed rationing plan

Qualitative and quantitative aspects of feeding are defined independently. Qualitative aspects are defined in a feed sequence plan, whereas quantitative aspects are defined in a feed rationing plan. In a feed rationing plan, the quantity of feed offered to the pigs is determined. Existing feed rationing plans can be selected from a list, and plans can be created, deleted or renamed by clicking on the appropriate buttons on the right-hand side of the list. A comment may be added for each plan.

Although the general structure of feed rationing plans for sows is similar to that used for growing pigs, there are some differences between the two. In fact, the feed rationing plans for sows regroup the three periods corresponding to the three stages of reproduction: gestation, lactation, and the weaning to conception interval.

For each of these stages, the feed sequence is described by a series of successive rules. Each rule is defined by a termination condition and a type of feed that is distributed. The first rule begins at the start of the simulation and is effective until the termination condition of that rule is met. It will then be succeeded by a second rule, which will be effective until its termination condition is met. The last rule in a feed sequence plan is effective until the termination condition of the simulation is met.

For sows, the termination conditions are determined by a duration (number of days) or a physiological event corresponding to a change of state (farrowing, weaning, insemination). For gestation and the weaning to conception interval, the quantity of feed offered is constant for a given rule. For lactation, standard curves can be used (linear, linear-plateau or curvilinear). This simplifies defining a feed rationing plan through the initial and average feed intake. The feeding level can be defined as a quantity (kg/d) or as energy (DE, ME, or NE).


Housing conditions (sow)

Housing

The housing window allows defining the main housing characteristics during gestation, lactation, and the weaning to estrus interval. For each of these stages, housing is defined as a series of successive rules. Each rule is defined by a termination condition (e.g., a duration or physiological event) as well as the housing conditions during that rule (individual housing, group housing, or outdoors), floor type (slats, straw-bedded, or concrete) and ambient temperature. For the gestation period, additional information can be given related to the behavior of the sows. Because of the notion of rules, different housing conditions can be defined within a given physiological stage (e.g., different housing conditions for early and late gestation).


Animal profile (sow)

Animal profile

The "Animal profile" window allows entry of the main performance characteristics of sows used in the herd. The software provides characteristics of some female selection lines, but the user may also define other types of sows.

The entry of this information greatly facilitates the use of the model. Animal profiles are proposed as "standard" data during different stages of data entry, which avoid re-entering the data each time. In addition, certain model simulation parameters are adjusted from the animal profile. It is necessary that the provided information is as accurately as possible.

The information is organized in three main parts concerning the sow, the litter and the feeding of the sow. It is possible to enter the required information from the average performance data, which can then by visualized as a graph. This data is then used to calibrate certain parameters for the simulation model.

Sow

This tab-sheet concerns the standard (or target) change of the body weight of sows and their backfat thickness (at the P2 site; i.e., 6.5 cm from the mid line at the level of the last rib) as a function of age and litter number. The body weight after farrowing can be estimated from the body weight before farrowing and the litter characteristics. These data are used to adjust the target body weight curve after farrowing as a function of age, for each genotype. The obtained equation can be shown as a graph and is used further for the factorial calculation of requirements of the gestating sow. For the simulation, these data (body weight, age, backfat thickness) are also used as starting parameters in the calculation.

Litter

This tab-sheet concerns the average performance characteristics: total number of piglets born, number of piglets born alive, number of piglets weaned and birth and weaning weights. To account for different weaning ages, the weights of the piglets at 14, 21 and 28 d of age are used.

Feeding

This tab-sheet allows entering the average feeding strategy used for the herd, which should correspond to the information entered in the "sow" and "litter" tab-sheets. It requires the average feed intake per cycle for gestation and lactation as well as the used feed sequence plan.

Graphs

This tab-sheet allows displaying different graphs related to the piglets (body weight, daily gain) or to the sow (body weight, backfat thickness) as a function of litter number. The change in target body weight after farrowing, as a function of age, can also be displayed in addition to its equation.

Calibration

As the simulation model uses a given genotype and production level, it is necessary to adjust certain parameters so that they correspond best to the characteristics of the animals of the herd in question. This is the objective of the calibration phase. For the gestation phase, two parameters will be adjusted: the maintenance energy expenditure and the change in potential protein deposition as a function of litter number. For the lactation phase, also two parameters are adjusted: the maintenance energy requirement and the minimal protein content of body weight loss.

Before using this option, it is necessary to complete all the data of the animal profile. Do not forget to enter the feed sequence plan ("feeding" tab-sheet) and the housing condition ("calibration" tab-sheet). The calibration is carried out successively for the gestation and lactation phases. A real-time graphical representation of body weight and backfat thickness for simulated (solid lines) and entered (points) data is displayed. It is possible to return to the initial parameters by using the "reset" button. It takes approximately 1 minute to calibrate .

Average performance data

This tab-sheet allows to enter automatically the tab-sheets "sows", "litter", and "feeding" from the average performance data. By clicking on the "calculate" button, all the information of these tab-sheets is replaced by values estimated from the average characteristics. Existing values are therefore overwritten. To complete the animal profile, a feed sequence plan has to be selected in the tab-sheet "feeding".


Simulations (sow)

Simulations

Three types of simulations can be performed: a single simulation, a comparison of simulations, or a sensitivity analysis.

A single simulation is based on a sow profile, a housing plan, and feed sequence plans and feed rationing plans for the different litterts. Single simulations can be saved on disk for future reference. The simulation is executed by clicking on the "Graph" or "Report" buttons. The purpose of a single simulation is to provide a detailed analysis of the utilization of nutrients for different functions.

A comparison of different simulations is performed by selecting up to five single simulations. Results of these simmulations are displayed graphically. In comparison to a single simulation, less analytical information is available.

A sensitivity analysis allows determining the sensitivity of the model that the change of a single model parameter related to the animal, the feed or the environment. This type of analysis can help answering questions such as "what happens if the energy supply is modified by 10% during gestation?", "what happens if the weight at first service is increased by 20%?" or "what happens if feed intake of sows is decreased by 5% during lactation?".


Single simulation (sow)

Single simulation

This part of the program allows simulating the response of the sow to the supply of nutrients. Simulations are carried by a model that predicts the utilization of energy and protein by the sow. The model allows estimating, during one or more production cycles, the change in body composition (body weight, backfat thickness) as a function of nutrient supplies and housing conditions. Simulations can be saved to disk to be used later or to perform a comparison of several simulations or for a sensitivity analysis.

Parameters

This section allows defining the simulation parameters related to the sow, housing conditions, and management. All that is needed is selecting an animal profile from the list, housing conditions and to complete the duration of lactation and the weaning to estrus interval. The last parameter (Initialization) concerns the frequency with which the initial parameters are re-set to the values defined in the animal profile:

  • At each stage: The weight of the sows and the backfat thickness are reset to the values of the sow profile at the beginning of each stage (service, farrowing). This is the most secure option.
  • At each cycle: The weight of the sows and the backfat thickness are reset to the values of the sow profile at the beginning of each cycle (service).
  • At the beginning of the simulation: The weight of the sows and the backfat thickness are never reset during the whole simulation period. This option has to be used to precaution, especially if a large number of successive simulations are carried out due to the risk of parameters value derivation.

Initial state and Final state

These zones allow defining the litter number and physiological state of the sows in the beginning and end of the simulation. The phases taken into account for the simulation are shown simultaneously in the "Feeding" table on the right-hand side of the data entry zone.

Feeding

Once the initial state and the final state are defined, the feed rationing plan and the feed sequence plan need to be defined. This information has to be given for each of the litter numbers considered. To do this, select a litter number. A data entry zone will then appear below the table and the item from the appropriate lists can be selected. If the information concerning feed is not correctly entered, the data for the litter number will show in red in the table; if the data are correct, they will show in blue.

Once the data for all periods are given, it is possible to perform simulations and show the results as graphs or as a report.


Single simulation (sow): Performance

Performance

Simulation results can be displayed either dynamically or by period. Display options include (net) body weight (kg), (net) body weight gain (g/d), feed intake (g/d), feed conversion ratio (g/g), protein deposition (g/d), protein mass (kg), lipid deposition (g/d), lipid mass (kg), (variation in) backfat thickness (mm), and milk production (kg/d). Graphs can also be displayed by period (i.e., per cycle or per stage). In general, these statistics can be expressed for the duration of the period or on a daily basis.


Single simulation (sow): Feeds

Feeds

This graph serves to illustrate which feeds (as a quantity or as feed cost) are used during the simulation. Each feed is coded by a different color. Feed utilization can be viewed globally, dynamically or by period. Also the quantity of each feed ingredient used can be displayed


Single simulation (sow): Protein deposition and export

Protein deposition and export

This graph serves to identify factors that (potentially) limit protein deposition or protein export to milk during the simulation. It differs from the other graphs in that it can be viewed only dynamically as a function of age or duration. The listbox on the left-hand side of the graph lists the factors that potentially limit protein deposition. The list is sorted in order of decreasing importance and is determined for each simulation (i.e., changing the animal or feed may change the order of the items). Factors that actually limit protein deposition during at least one day during the simulation are marked by an asterisk. The black curve, which may be hidden behind other curves, represents protein deposition (during gestation) or milk protein export (during lactation).

The items of the list can be selected by left-clicking with the mouse on the item name. Each selected item adds a curve to the figure which displays the protein deposition if the selected item had been limiting protein deposition and/or export. During lactation, it is likely that the amino acid supply is insufficient to cover the export in the milk. The selected curve for the amino acid will then be lower than the black curve. The difference indicates the mobilization of body protein to support milk production.


Single simulation (sow): Amino acids

Amino acids

This graph shows the partitioning of the essential amino acids (including arginine) and nitrogen. As cystine can be synthesized from methionine, and tyrosine from phenylalanine, the utilization of the sum of these amino acids is given.

The graphs that deal with the partitioning of amino acids distinguish eleven components: indigested, basal endogenous, maintenance, minimum oxidation, deposition, milk production, mobilization, disequilibrium, deficit, and excess. The indigestible fraction corresponds to the fraction that escapes ileal digestion and includes the specific endogenous fraction (i.e., it corresponds to 100 minus the standardized ileal digestibility). The standardized ileal digestibility values for the feed ingredients originate from the INRA-AFZ tables (Sauvant et al., 2004). The basal endogenous value also comes from the same source and varies with dry matter intake. Maintenance corresponds to the amino acid loss with the integuments (e.g., hair) and the loss associated with minimum amino acid turnover. These values correspond to those published by Moughan (1999) and vary with body weight raised to the power 0.75. It is assumed that there is a maximum efficiency with which the amino acid supply above maintenance can be used; the remainder will be oxidized (i.e., the minimum oxidation). The maximum efficiency varies between amino acids and is obtained from a reverse calculation of the ideal amino acid profile.

The actual amino acid deposition (or export in milk) depends on the amount of protein and its amino acid profile. The remaining three components (disequilibrium, deficit, and excess) of the graphs are related to a comparison of the amino acid supply, the actual protein deposition, and the protein deposition in the case of an energy-limiting situation.

The "Supply and Requirement" graph type illustrates the supply and requirement expressed on a standardized or apparent ileal digestibility basis. In addition, the total amino acids supply (but not the requirement) can be displayed. Graphs can be displayed using different modes of expression (g/d, relative to lysine, g/MJ DE, g/MJ ME, g/MJ NE, g/kg feed intake, g/kg daily gain). For gestation, the amino acid requirement is calculated in order to allow maximization of protein retention according to energy supply. For lactation, the requirement is calculated to meet the requirement for milk production.


Single simulation (sow): Energy

Energy

Energy utilization can be expressed on a GE, DE, ME, or NE basis. The components of energy are the (fecal) indigestible fraction, energy lost as methane or in the urine, maintenance (including physical activity), thermoregulation and heat increment. During gestation, there are also components representing energy retention by the sow (as protein or lipid) and the litter, whereas during lactation the energy exported in the milk and mobilization of energy reserves are also included. Depending on the type of graph selected the indigestible energy (DE), methane and urine (ME) or heat increment (NE) may be excluded from the graph.


Single simulation (sow): Minerals

Minerals

This graph illustrates the utilization of minerals for different functions. Phosphorus is currently the only mineral taken into account. The phosphorus requirement is based on a factorial approach and is expressed on a (apparent) fecal digestible basis (Jondreville and Dourmad, 2005).

The indigestible fraction of phosphorus depends on the type of feed, technological treatment (mash or pellets), and the inclusion of microbial phytase. Phytase can be added to the feed ingredients database and should be attributed a digestible phosphorus value.

It is possible that the supply of phosphorus is insufficient to cover the requirements. In that case, the deficiency will be indicated on the graphs, but it will not have consequences on the calculated performance.


Single simulation (sow): Mineral balance

Mineral balance

This graph illustrates the retention and excretion of N, P, Ca, K, Cu and Zn. It is evident that this information is useful only if the mineral composition of the diets is accurate. For nitrogen, the excreted fraction is further divided into a urinary and fecal fraction. Nitrogen retention is calculated from the protein retention. The retention of other minerals is calculated from the (empty) body weight (Dourmad et al., 2002, Jondrevillle and Dourmad, 2005).

P = 5.4199 · BW – 0.002857 · BW2
Ca = 8.64633 · eBW - 0.00180 · eBW2
K = 2.53338 · eBW - 0.00345 · eBW2
Cu = 2.8 + 1.05393 · eBW - 0.00251 · eBW2
Zn = 21.8 · eBW

It is possible that the supply of minerals is smaller than the calculated retention. A deficiency of minerals is currently not accounted for in the calculation of growth. If a deficiency occurs, it will be indicated in the graphs.


Comparison of simulations (sow)

Comparaison of simulations

Result of up to five simulations can be compared simultaneously. Results are displayed as a graph.


Sensitivity analysis (sow)

Sensitivity analysis

A sensitivity analysis consists of testing the influence of a modification of one variable on the simulation results. For example, it is possible to respond to questions as:

  • what happens if the energy supply is modified by 10% during gestation?
  • what happens if the weight at first service is increased by 20%?
  • what happens if feed intake of sows is decreased by 5% during lactation?

First, a simulation that will be used in the sensitivity analysis has to be selected, followed by the characteristic to which the sensitivity analysis will be applied. If the simulation concerns several production cycles, it is possible to carry out the sensitivity analysis for one or several cycles. By default, all cycles are taken into account. The average value of the characteristic is shown and the range over which it is to be modified can be changed. For example, if the percentage is given as 5% (default value), the characteristic takes successively a value corresponding to 90%, 95%, 100%, 105% and 110% of the value defined in the simulation. It is then possible to display of the same graph the results obtained in these different situations.


Comparison of simulations (sow): Performance

Performance

Results from different simulations can be displayed either dynamically or globally. Display options include (net) body weight (kg), (net) body weight gain (g/d), feed intake (g/d), feed conversion ratio (g/g), protein deposition (g/d), protein mass (kg), lipid deposition (g/d), lipid mass (kg), (variation in) backfat thickness (mm), and milk production (kg/d).


Comparison of simulations (sow): Feeds

Feeds

This graph serves to illustrate which feeds (as a quantity or as feed cost) are used during different simulations. Each feed is coded by a different color. Also the quantity of each feed ingredient used can be displayed.


Comparison of simulations (sow): Amino acids

Amino acids

This graph shows the (average) partitioning of the essential amino acids and nitrogen for different functions. It can also be used to display dynamically the amino acid supply or requirement during a simulation. Requirements can be expressed on a standardized or apparent ileal digestible basis. These can be expressed on a daily basis, per kg of feed or kg of gain, relative to lysine or relative to energy.


Comparison of simulations (sow): Energy

Energy

This graph shows the (average) partitioning of energy for different functions. Energy partitioning can be expressed on a GE, DE, ME or NE basis.


Comparison of simulations (sow): Minerals

Minerals

This graph shows the (average) partitioning of minerals for different functions. Phosphorus is currently the only mineral considered (nitrogen is included with the amino acids). Supply or requirement of digestible phosphorus can be displayed as a function of time or body weight for different simulations.


Comparison of simulations (sow): Mineral balance

Mineral balance

This graph illustrates the (average) retention and excretion of N, P, Ca, K, Cu and Zn. It is evident that this information is useful only if the mineral composition of the diets is accurate.


Factorial calculation of requirements during gestation

Requirements are calculated by the factorial method in order to obtain an optimum level of body reserves at farrowing. The latter is a function of body weight and backfat thickness. Several types of energy expenditure are taken into account:

  • Maintenance energy expenditure: function of the average body weight of the sow
  • Energy expenditure related to thermoregulation: function of ambient temperature and housing conditions
  • Energy expenditure related to physical activity of the sow: function of that time spent standing
  • Energy expenditure related to the development of uterine content: function of the number and birth weight of piglets
  • Energy expenditure related to the reconstitution of body reserves

Animal profile

This allows defining the type of animal and the litter number for which the calculations are made. The default values proposed in the rest of the form correspond to those defined for this animal in the Animal profile.

  • Service: This zone allows defining the characteristics of the sow at service (i.e., age, body weight, backfat thickness). Default values corresponding to the selected animal profile and litter number are proposed. These values can be modified by using the checkbox.
  • Farrowing: This zone allows to define the objective for the sow and her litter at farrowing. Default values corresponding to the selected animal profile and litter number are proposed. The body weight after farrowing is defined as a function of age at farrowing (service+114 d) and the curve for the target body weight change for the selected Animal profile. These values can be modified by using the checkbox.

This zone allows defining the housing type and animal behavior. By default, the housing condition defined in the Animal profile is used. It is possible to manually to manually change the housing parameters by selecting "manual entry" from the type of housing list.

  • Housing parameters: Three housing characteristics are considered: animal housing (i.e., in groups, individual housed, or outdoors), floor type (i.e., straw-bedded, slatted floor, concrete floor) and mean ambient temperature.
  • Behavior: This zone allows accounting for the physical activity of animals as a function of the time spent standing. A default value of 240 min (4 hours) is used.

Reference feed

The program offers the possibility to compare the calculated requirements to a defined feed sequence plan. The quantity of feed offered can be adjusted. By default, the feed sequence plan and feed intake as defined in the Animal profile are used.

Results

Requirements for the main nutrients are presented in the results zone. A more detailed description can be obtained by using the buttons "Report" and "Graph".


Factorial calculation of requirements during lactation

The daily requirement for energy, amino acids and minerals are calculated by the factorial method in order to cover the requirements for milk production. When the appetite of the animals is insufficient to cover the energy requirements, the actual feed intake is used to calculate the requirements for amino acids and minerals relative to energy or as a percentage in the diet. The quantity of energy mobilized from body reserves is also determined.

Animal profile

This zone allows to define the type of animal and the litter number to be used in the calculations. The default values proposed in the rest of the form correspond to those defined for this animal in the Animal profile.

Weaning

This zone allows to enter the duration of lactation and the performance objectives of piglets during lactation. The values corresponding to the selected type of animal and litter number are proposed by default, but can be changed.

Reference feeding

In this zone, the average voluntary feed intake during lactation is defined. If, as often is the case, feed intake is lower than the requirement, the actual feed intake is used to calculate the requirements for amino acids and minerals relative to energy or as a percentage in the diet. The program also allows the possibility to compare the calculated requirements to a defined feed sequence plan. The quantity of feed offered can be adjusted. By default, the feed sequence plan and feed intake as defined in the Animal profile are used.

Results

Requirements for the main nutrients are presented in the results zone. A more detailed description can be obtained by using the buttons "Report" and "Graph".


Growing pig module

Growing pig

The general characteristics of the growing pig module have been published at the French Journées de la Recherche Porcine (van Milgen et al., 2005) and in a special modelling issue of Animal Feed Science and Technology (van Milgen et al., 2008).

In order to perform a simulation, the following items need to be defined:

  • Feed sequence plan
  • Feed rationing plan
  • Animal profile

After these items have been defined, you can perform:

  • Single simulation
  • Comparison of simulations
  • Sensitivity analysis


Feed sequence plan (growing pig)

Feed sequence plan

For growing pigs, qualitative and quantitative aspects of feeding are defined independently. Qualitative aspects are defined in a feed sequence plan, whereas quantitative aspects are defined in a feed rationing plan. A feed sequence plan indicates which feeds are used during a simulation. Existing feed sequence plans can be selected from a list, and plans can be created, deleted, renamed or printed by clicking on the appropriate buttons on the right-hand side of the list. A comment may be added for each feed sequence plan.

A feed sequence plan is quantified by a set of rules. Each rule is defined by a termination condition and the feed(s) that are used for the duration of the rule. The first rule begins at the start of the simulation and is effective until the termination condition of that rule is met. It will then be succeeded by a second rule, which will be effective until its termination condition is met. The last rule in a feed sequence plan is effective until the termination condition of the simulation is met (defined in the pig profile). By default, there is one rule for a feed sequence plan and rules can be added or deleted using the buttons located below the list. All rules of a feed sequence plan are listed and include rule number, the termination condition, and the feed(s) used during the rule. The notion of rules is further exploited in simulations where, for instance, performance can be displayed for each rule of a feed sequence plan (e.g., average performances during the growing and finishing phases).

The termination condition of a rule is based on duration, age, body weight, or the cumulative quantity of feed distributed (e.g., the feed is changed when all the feed in the silo has been distributed). After selecting the termination condition, its numerical value has to be entered. The type of feed used during a rule is selected from a list. When the termination condition of a rule is determined by duration, age or body weight, two feeds may be used simultaneously. If two feeds are used in a fixed proportion, the fraction of the first feed (as a percentage of total feed that is offered) has to be entered. Alternatively, a transition period may be defined in which one feed is progressively replaced by another feed. For example, one may define a feed sequence plan in which different feeds for the growing and finishing periods are used. Rather than changing the feed abruptly at, for instance, 60 kg, feed A may be replaced gradually by feed B during a 7-day transition period. To define such a feed sequence plan, three rules are needed: the first rule indicates the use of feed A only (i.e., up to 60 kg BW). The second rule defines the transition period, whereas the third rule indicates the use of feed B until the end of the simulation. The termination condition of the second rule is determined by "duration" (7 d) and both the "2 feeds" and "transition" checkboxes are checked. To ensure a complete transition, the fraction of feed A should decline from 100% at the start of the rule to 0% at the end of the rule.


Feed rationing plan (growing pig)

Feed rationing plan

For growing pigs, qualitative and quantitative aspects of feeding are defined independently. Qualitative aspects are defined in a feed sequence plan, whereas quantitative aspects are defined in a feed rationing plan. In a feed rationing plan, the quantity of feed offered to the pigs is determined. Existing feed rationing plans can be selected from a list, and plans can be created, deleted or renamed by clicking on the appropriate buttons on the right-hand side of the list. A comment may be added for each plan.

Feed rationing plans are similar to feed sequence plans and are quantified by a set of rules. Each rule is defined by a termination condition and the quantity of feed that is used for the duration of the rule. The first rule begins at the start of the simulation and is effective until the termination condition of that rule is met. It will then be succeeded by a second rule, which will be effective until its termination condition is met. The last rule in a feed rationing plan is effective until the termination condition of the simulation is met. By default, there is one rule for a feed rationing plan and rules can be added or deleted by using the buttons located below the list. All rules of a feed rationing plan are listed and include the rule number, the ending condition, and the quantity of feed used during the rule.

The termination condition of a rule is based on duration, age, body weight, or the (cumulative) quantity of feed used. After the type of termination condition is selected, its numerical value has to be entered.

Because of feed wastage, the actual feed intake may differ from the feed usage. Although feed wastage is difficult to measure, most reports suggest that there is a minimum of 2 to 3% feed wastage. Because feed wastage may vary depending on the feeding level (e.g., it may be lower when a feed restriction is applied), you can specify the feed wastage for each rule. Criteria such as feed-to-gain ratio will be expressed using feed usage, not feed intake.

Feeds can be offered (as a percentage of) ad libitum, at a constant level, or as a function of body weight or time. When feed is offered ad libitum, no further information is required (other than feed wastage) as the ad libitum feed intake capacity is considered an animal characteristic (i.e., it is defined in the pig profile). The other modes of expression allow defining conditions of restricted feeding and are expressed on an as-fed, DM or energy (DE, ME, or NE) basis.

When feed usage is defined as a function of body weight, a linear (a + b· BW), asymptotic (a · (1 - exp(-b · BW)) or power (a · BWb) function may be used. Because it may be difficult to intuitively find values for a and b, the feed (or energy) usage at 50 and 100 kg body weight (FI50 and FI100) may be entered; values for a and b are then calculated according the appropriate equation. Feed usage can also be expressed as a linear function of time, using either a daily or weekly adjustment basis.

It is possible to test the defined feed rationing plan in a simulation. When you select a reference simulation in the right-hand panel, information concerning the pig profile and the feed sequence plan (of the reference simulation) will be combined with the feed rationing plan that you are defining. In this way, you can ensure that the feed rationing plan works as intented.


Animal profile (growing pig)

Animal profile

The animal profile (or phenotypic performance potential) of a growing pig corresponds to the performance under ideal conditions when neither nutrition nor the (climatic) environment is limiting performance. Each profile is characterized by a unique name. Profiles can be created, deleted or renamed using the appropriate buttons on the right-hand side of the list. Defining a growth profile of a pig is a two-step process indicated by the tab-sheets and includes definition of the Farm conditions and Ad libitum feed intake and growth. Because it may be difficult to find model parameters "manually", a calibration procedure is available where model parameters are estimated statistically using observed feed usage and growth data.

The general principles behind the growing pig model have been described in a paper presented at the Journées de la Recherche Porcine (van Milgen et al., 2005; in French) and in a special issue of Animal Feed Science and Technology on modeling (van Milgen et al., 2008).


Animal profile (growing pig): Farm conditions

Farm conditions

The farm conditions concern only the initial and final state and the gender of the pig. In the "initial state" box, the initial age, body weight, protein mass and lipid mass are defined. Throughout the model, body weight is calculated as an allometric function of protein mass and lipid mass. Consequently, for a given initial body weight, either the initial protein weight or the initial lipid weight must be defined; the other weight is calculated. By default, the initial protein weight is calculated as a function of protein in empty body weight (16%) and the relation between empty body weight and body weight. The fraction of protein in body weight is modifiable within reasonable limits.

In the "final state" box, the final conditions of a simulation are defined. The simulation can be performed for a fixed number of days (starting from the initial age) or until a final body weight has been reached. In addition, the dressing percentage (carcass as a percentage of body weight) is required as a model input. By default, the carcass includes the head (including the tongue), feet and tail. As carcass definitions may vary between countries, the definition of the carcass may be changed in the configuration window of InraPorc.


Animal profile (growing pig): Ad libitum feed intake and performance

Ad libitum feed intake and growth

In this tab-sheet, model parameters concerning the ad libitum feed intake and growth are given. The fact that this information is required illustrates that performance per se is not predicted by the model. Based on the information given here, you can analyze (in a single simulation) the utilization of nutrients by the animal, or predict the consequence of using different nutritional strategies.

The tab-sheet consists of 3 separate zones:

  • Model parameters: parameters that describe the ad libitum feed intake and growth
  • Reference simulation: the feed sequence plan and the feed rationing plan that are used to test the animal profile
  • Simulation results: providing graphical and numerical results of simulations

The model parameters defined in this tab-sheet can be entered manually or can be obtained through a calibration procedure. In this procedure, you have to provide (observed) data for feed intake and growth and model parameters will be obtained by statistical estimation.

Model parameters

Ad libitum intake

The ad libitum feed intake capacity of the pig is considered an animal characteristic. This is the reason that it is defined in the animal profile and not in the feed rationing plan. In a feed rationing plan, actions of the farmer are defined (e.g., feed is offered ad libitum to the pigs). The ad libitum feed intake capacity of pigs is assumed to be a function of body weight. Nevertheless, it is acknowledged that body weight is not the only factor determining feed intake. Environmental conditions, health status, stocking density may all influence the ad libitum feed intake capacity. Moreover, the mechanisms of feed intake regulation are not fully understood. If gut capacity is limiting feed intake, feed intake may be regulated on a dry matter (or "bulk") basis. However, if gut capacity is not limiting intake, an energetic regulation of intake may be more likely. It is left to the user to express the mode of regulation of ad libitum feed intake (i.e., as-fed, DM, DE, ME or ME). The choice of expressing the ad libitum feed intake has consequences on the way the model predicts the response of the pig to feeding a high energy diet. For example, if ad libitum feed intake capacity is expressed on a DM basis, feeding a high energy diet will typically improve performance, because InraPorc works internally on an energy basis. If ad libitum intake capacity is expressed on a NE basis, pigs fed a high energy diet will reduce their DM intake (to maintain an equal NE intake) and this will then have little effect on performance.

Four equation types are available to express the ad libitum intake: a linear function (intake = a + b · BW), a power function (intake = a · BWb), an asymptotic function (intake = a · (1 - exp(-b · BW))), and a Gamma function of maintenance. The Gamma function assumes that ad libitum feed intake can (or should) be expressed relative to the maintenance energy requirement. As the pigs approach maturity, the ad libitum feed intake will approach the maintenance energy requirement and the animal will thus stop growing. As it is assumed that the maintenance requirement itself can be expressed relative to BW0.60, the Gamma function can also be described as a function of BW (i.e., intake = (a · (b · BW · exp(-b · BW)) + 1) · c · BW0.60). The value of "c" depends on the unit of expression of ad libitum feed intake (e.g., c = 0.75 MJ/BW0.60/d when intake is expressed on a NE basis). In contrast to the other functions, the Gamma function is very flexible and allows the ad libitum feed intake to decrease with increasing body weight. Because it may be difficult for novice users to provide estimates for a and b, feed intake at 50 and 100 kg of body weight (FI50 and FI100) may be given instead; values for a and b are then calculated from these values.

Growth potential

The parameter Mean PD (g/d) indicates the average protein deposition during the simulation (assuming that the amino acid supply is not limiting PD). The Mean PD is defined as a function of time. Consequently, the simulatred average PD may differ slightly from the model parameter Mean PD when the final state (in the farm conditions tab-sheet) is determined by body weight and not by duration. Protein weight under ad libitum feeding is described using a Gompertz function, which is a sigmoidal function of time. For the description of PD, the first derivative of the Gompertz function is used.

The parameter Precocity (/d) indicates how PD changes with age and allows definition of early or late maturing animals. A high value results in an early maturing pig with a high PD during the early stages of growth whereas a low value results in a late maturing pig. Irrespective of the value of Precocity, the average PD during the simulation will be (approximately) constant.

In the model, the maintenance energy requirement is calculated as a function of body weight and feed intake. The parameter Maintenance allows changing the maintenance energy requirements relative to the default function. Changing this parameter will change LD, but not (or little) the PD. Together with LD, lean meat percentage and backfat thickness are modified when maintenance is changed.

The parameter BW PDmax indicates at which body weight the pig is able to eat sufficiently to attain the plateau value of PD (called "PDmax"). The parameter BW PDmax will determine how pigs will respond to a feed restriction (e.g., applied during the finishing phase). At the default value of BW PDmax (i.e., 70 kg), a moderate feed restriction applied from (for example) 80 kg onwards will reduce LD without affecting PD. However, when a high value of BW PDmax is used (e.g., 300 kg), a feed restriction from 80 kg onwards will affect both LD and PD. In the absence of information, it is recommended to leave BW PDmax at its default value of 70 kg. To better understand the driving mechanisms of the model, click on the button "Response curve".

Reference simulation

It these two lists, the feed sequence plan and the feed rationing plan can be indicated that will be used in a simulation. This simulation allows you to evaluate your choice of parameters defined in the animal profile. In the internal calculations, the ad libitum feed intake and corresponding growth are often used as a reference situation. Consequently, it is important that the model parameters describing ad libitum feed intake are reasonably realistic. We therefore strongly recommend that you select a feed rationing plan in which the animals are offered feed ad libitum during a considerable part of the simulation.

With the "Calibration" button, you can have access to a module in which user-observed data are used to statistically estimate the model parameters for the animal profile.

Simulation results

Simulation results are shown graphically and numerically for two simulations that may differ in the quantity of feed that is used. The graph and numerical data given in black concern the ad libitum feed intake (without feed wastage), whereas the graph and numerical data given in red use the information of the reference feed rationing plan (which may include feed wastage). Both simulations use the paramaters of the current animal profile and the feed sequence plan of the reference simulation. Numerical results are shown in a table as average results (i.e., daily gain, feed usage, feed efficiency, PD, and LD) or as final results (i.e., backfat thickness, and lean meat percentage). Final backfat thickness and lean percentage are calculated from the simulated protein and lipid mass. Because these values are calculated indirectly, they should be used with caution when used as a criterion to parameterize the model. They serve more as relative than as absolute references. There may be several reasons that backfat thickness and/or lean meat percentage are not predicted well:

  • The model parameters for feed intake reflect actual feed intake, not feed usage. If you underestimated feed wastage, ad libitum feed intake will be overestimated. This will consequently result in an overestimation of carcass fatness. Rather than adjusting the Maintenance parameter to better predict carcass fatness, it may be better to increase the feed wastage in the feed rationing plan.
  • The prediction equations for backfat thickness and lean meat percentage may not be appropriate for your situation. You may change the prediction equations for these traits in the configuration window of InraPorc.
  • It may be that the model parameter Maintenance needs adjustment (e.g., because animals are more active than anticipated).


Calibrating an animal profile (growing pig)

Calibrating an animal profile

It is possible to statistically estimate the model parameters for ad libitum feed intake and growth for an animal profile based on information provided by the user. The procedure to do this consists of two steps:

  • Providing data for calibration
  • Estimation of model parameters through calibration

Providing the data for calibration

Each data line should consist of the age of the pig and up to four traits (i.e., cumulative feed usage, body weight, backfat thickness and lean meat percentage). Cumulative feed usage and body weight are mandatory in order to estimate model parameters. Data for backfat thickness and lean meat percentage are optional. Please consider the following issues when providing the data:

  • Data should be provided in chronological order
  • There should be a minimum of three data lines
  • The cumulative feed usage for the first data line should be zero

Data can be provided manually or by importing the data from a CSV-file. When you import data from a CSV-file, make sure that this file only contains the required data and not intermediate calculations used in the spreadsheet program. See also this example when you want to use observed data for creating an animal profile.

Estimation of model parameters through calibration

The calibration procedure consists of finding model parameters that allow predicting the observed data. This is done by a statistical procedure using algorithms provided by TPMath. In "standard mode", InraPorc will estimate the model parameters Initial BW (and thus the initial protein mass), FI50, FI100, Mean PD, and Precocity using cumulative feed usage and body weight data. Backfat thickness and lean meat percentage are not included in the estimation procedure. The estimation procedure will go through a series of steps to estimate these parameters.

The "expert mode" is available for advanced users who (think they) know what they are doing. In "expert mode", you have access to different statistical options:

  • Selection of the optimization algorithm
  • Selection of the dependent variables
  • Changing the statistical weights for the dependent variables
  • Selection of the model parameters
  • Ignore the amino acid supply as a potentially limiting factor for growth. The calibration procedure may have problems finding parameters if amino acids are limiting performance. If you uncheck the checkbox, the calibration procedure will simply ignore the amino acid supply. It is important to realize then that, according to InraPorc, the observed performance could not be realized with this type of diet.

In "expert mode" you can include backfat thickness and lean meat percentage in the estimation procedure. There may be several reasons that backfat thickness and/or lean meat percentage are not predicted well:

  • The model parameters for feed intake reflect actual feed intake, not feed usage. If you underestimated feed wastage, ad libitum feed intake will be overestimated. This will consequently result in an overestimation of carcass fatness. Rather than adjusting the maintenance value to better predict carcass fatness, it may be better to increase the feed wastage parameter in the feed rationing plan.
  • The prediction equations for backfat thickness and lean meat percentage may not be appropriate for your situation. You may change the prediction equations for these traits in the configuration menu of InraPorc.
  • It may be that the model parameter Maintenance needs adjustment (e.g., because animals are more active than anticipated).


Animal profile (growing pig): Energy response curve

Energy response curve

The information given in this window illustrates how energy is partitioned between PD and LD during the course of simulation. The graphs (in 2D or 3D) show PD and LD as a function of energy intake above maintenance at a given point in time.

For the 2D-graph, the bottom X-axis indicates the net energy (NE) intake as multiples of the NE requirement for maintenance (1 = maintenance) while the upper X-axis expresses the same in feed equivalents (kg/d). Because maintenance is a function of body weight and feed intake, the relation between the lower and upper X-axes is not constant. The PD (in red) is given on the left Y-axis and LD (in blue) on the right X-axis. The solid dots given on the curves indicate the PD and LD deposition when the pig is offered feed ad libitum. The change in energy partitioning during growth can be simulated by moving the ruler below the graph, which indicates the course of the simulation. The increments of the ruler correspond to 1 day and can be changed by the mouse or by the keyboard (right = +1 day, left = -1 day, page down = +7 days, page up = -7 days).

The marginal PD and LD are defined as the change in PD and LD due to a change in energy intake (i.e., the tangent at PD and LD at ad libitum intake, represented by the black line in the graph). In InraPorc, it is assumed that the marginal PD declines linearly with body weight. Once the marginal PD becomes zero, the ad libitum feed intake is sufficient to attain PDmax and the animal will no longer be sensitive (in terms of PD) to a small change in energy supply. It is assumed that the marginal PD at 20 kg of BW equals 8.4 g PD/MJ NE and this input is hard-coded in the software. The model parameter BW PDmax indicates the body weight at which the marginal PD becomes zero. For body weights greater than BW PDmax, PD is limited by PDmax and for body weights lower than BW PDmax, PD is limited by energy supply. Because BW PDmax is rather difficult to obtain under practical conditions, it can be estimated by studying the effect of a feeding restriction (relative to ad libitum intake) on performance criteria.

The 3D graph allows to see the growth trajectory of the pig on the response surface. The response curves for both ad libitum feed intake (in black) and the selected feed rationing plan (in red) are shown. When you modify the parameters Mean PD or Precocity, the response curve and response surface will change. However, when you modify BW PDmax, the response surface but not the response curve will change. The view can be changed by using the different rulers around the 3D graph (perspective, zoom, and horizontal and vertical rotation).

The background of these reponse curves

One of the first nutritional models describing growth in pigs (Whittemore and Fawcett, 1976) assumed the existence of a linear-plateau relationship between PD and energy intake. The plateau indicated the upper limit to PD (PDmax), determined by genetic and environmental factors. When feed intake was reduced below the intake to attain PDmax, PD declined linearly with energy intake. In InraPorc, a slightly different approach is used as PD is assumed to vary according to a curvilinear plateau function of energy intake. This approach originates from the hypothesis that the fraction of energy intake designated toward PD (called "X"; see van Milgen et al., 2000) is a linear function of energy intake. Decreasing the energy intake will increase the fraction designated toward PD and decrease the fraction designated toward LD (1 - X). Consequently, with decreasing energy intake, both PD and LD decline, but LD declines faster than PD. The PD and LD response curves to energy intake are illustrated in the graph.

The approach used in InraPorc differs slightly from the one we developed earlier (van Milgen and Noblet, 1999; van Milgen et al., 2000) in that energy partitioning is now based on a NE rather than on a ME basis. In addition, in the approach of van Milgen et al. (2000) PDmax and the energy intake required to attain it (called "F") served as a reference points. The problem with this approach is that pigs may not be able to consume this quantity of energy during a considerable part of the growing and/or finishing phases. In InraPorc, the ad libitum feed intake and the corresponding PD are used as reference points. It is now assumed that PD at ad libitum feed intake (which is not the same as PDmax) varies according to a Gompertz function. Also, the PD response to a changing energy supply is now parameterized through the marginal PD (at ad libitum intake) rather than through the energy intake required to attain PDmax.

On the 2D graph, the numerical values for X (on a NE basis), PDmax and F are given. Statistics concerning other theories of energy partitioning (e.g., minimum LD/PD, minimum lipid to protein mass ratio, marginal LD/PD) can be obtained by performing a single simulation (in the "Energy" tabsheet using the Graph type "Partitioning of retained energy").


Parameterization of an animal profile for growing pigs (example)

Parameterization of an animal profile for growing pigs (an example)

Parameterizing an animal profile is a essential element of InraPorc. An animal profile describes the phenotypic growth and feed intake potential of the pig (i.e., the potential of a genotype in a production setting). Consequently, specific model parameters have to be found for each production setting.

InraPorc uses the shape of the feed intake curve and the growth curve to determine nutrient requirements. Consequently, having only information on the average feed intake and growth will not allow describing the dynamics of these curves. However, if data for feed intake and growth are available for two (or more) periods, feed intake and growth curves can be constructed. In this example, we will describe how to obtain model parameters for the growing pig profile based on feed intake and growth data observed during two periods. The purpose of the exercise is to find model parameters that correspond (approximately) to the following situation:

 | Average | Grower phase | Finisher phase
Intake (kg/d) | 2.20 | 1.75 | 2.60
Average daily gain (g/d) | 775 | 700 | 850
Feed conversion ratio | 2.84 | 2.50 | 3.06

Finding the parameters that correspond to this situation can be done using the calibration procedure. To illustrate how to do this, we recommend to create a new animal profile. This can be done by clicking on the green "+" button without copying the values of the current profile.

Farm conditions

For the purpose of this exercise, we recommend that you use the default values for Initial age (60 days) and Initial body weight (25 kg). The Final body weight can be set at 120 kg.

Ad libitum feed intake and growth

Let us assume that ad libitum intake is determined by net energy. For the purpose of this example, we will select the Gamma equation (of maintenance). With this equation, feed intake will be expressed relative to the maintenance energy requirement. With increasing BW, the ad libitum feed intake will approach the maintenance energy expenditure so that growth will cease progressively. The other feed intake functions do not necessarily have this property. The parameter a of the Gamma function is a scale parameter whereas b is a shape parameter. The values that are currently listed for ad libitum intake and growth potential are default values.

In order to use the calibration procedure, you will have to select a reference feed sequence and a feed rationining plan. The nutrient supply in the feed sequence plan should not be limiting performance (otherwise the pig would not be able to express its phenotypic growth potential). For the purpose of this example, you can select the "Bi-phase, standard" diet. With this feed sequence plan, two diets will be used and the diet change will occur at 65 kg BW.

You also have to select a feed rationing plan. The feed rationing plan should contain a long period of time during which pigs are offered feed ad libitum, so that the parameters of ad libitum feed intake can be estimated with reasonable accuracy. In the example above, we only have 2 periods, meaning that we have only two data points for feed intake. As the feed intake curve has 2 parameters, it is clear that calibration of our example will make sense only if the pigs were offered feed ad libitum thoughout the test period. In the feed rationing plan "Ad libitum", no feed wastage is assumed. Although this is unrealistic, we will not change it for this example.

Calibration

Observed data

After clicking on the "Calibration" button, you will have to enter the observed data in the appropriate cells. The data has to be provided in chronological order. Feed usage should be entered as cumulative feed usage, so we have to make a few calculation before we can enter the data in the cells. The following information corrresponds to that of the table above (age is rounded to integer values):

Line | Age | Cumulative feed usage (kg) | Body weight (kg) | Backfat thickness (mm) | Lean meat (%)
1 | 60 | 0.0 | 25.0 |  |
2 | 117 | 99.7 | 64.9 |  |
3 | 182 | 268.7 | 120.1 |  |

Calibration

After having entered the data (and clicking on "OK"), the calibration window will open. It is easiest to remain in "Standard mode" and just click on the "Calibration" button. InraPorc will then try to estimate the parameters that best predict the observed data. After a succesful calibration procedure, you can click on "OK" and save the animal profile for further use.


Simulation (growing pig)

Simulation

Three types of simulations can be performed: a single simulation, a comparison of simulations, or a sensitivity analysis.

A single simulation is based on a growth profile, a feed sequence plan and a feed rationing plan. Single simulations can be saved on disk for future reference. The simulation is executed by clicking on the "Graph", "Report" or "Excel" buttons. The purpose of a single simulation is to provide a detailed analysis of the factors determining growth as well as to provide insight in the utilization of nutrients for different functions.

A comparison of different simulations is performed by selecting combinations of pig profiles, feed sequence plans and feed rationing plans. For example, different feeds can be evaluated by selecting a single pig profile, different feed sequence plans and a single feed rationing plan. In comparison to a single simulation, less analytical information is available.

A sensitivity analysis allows determining the sensitivity of the model that the change of a single model parameter related to the animal or to the feed. This type of analysis can help answering questions such as "what will be the growth rate if the animal eats 5% less?" or "will performance increase if 10% more lysine is given?".


Single simulation (growing pig)

Single simulation

The purpose of a single simulation is to provide a detailed analysis of the factors that determine growth as well as to provide insight in the utilization of nutrients for different functions. A single simulation is based on a growth profile, a feed sequence plan and a feed rationing plan. By default, the initial and final conditions as defined in the pig profile are used, but these values may be changed by the user. Results of a single simulation can be obtained as graphs, a report or exported for futher use to an Excel spreadsheet.

Graphs

Graphs can be viewed from different perspectives by selecting the appropriate tab-sheet (i.e., performance, feeds, factors limiting protein deposition, amino acid utilization, energy utilization, mineral utilization and mineral balance). Graphs are configured using three types of information: graph type, dependent value (Y) and independent value (X). Depending on the tab-sheet chosen, list boxes will be available with which the graphs can be configured. For most tab-sheets, the following graph types are available:

  • global: the average result of a simulation
  • dynamic: the result of a simulation as function of time, age or body weight
  • by period: the result of a simulation grouped by period (i.e., according to the feed sequence plan, the feed rationing plan, by week, or globally)

Additional graphs may be available depending on the chosen perspective (e.g., for amino acid utilization, energy utilization or mineral utilization). Dependent variables can be expressed using different units (e.g., g/d, g/kg gain, g/kg feed). The right mouse-button can be used to print graphs or to export the graph data to a CSV-file.

Report

A report gives a brief summary of the simulation results.

Excel

The final results of a simulation can be exported to an Excel spreadsheet. InraPorc writes the data to a specific tab-sheet of an Excel file (its location is indicated in the configuration window). This allows users to construct additional analysis modules in other tab-sheets (e.g., an economic analysis) with InraPorc providing the data.


Single simulation (growing pig): Performance

Performance

Simulation results can be displayed either dynamically or by period. Display options include different aspects of body weight, time, feed usage, feed efficiency, protein and lipid mass and carcass quality. Graphs can also be displayed by period (e.g., for each rule in a feed sequence or feed rationing plan).


Single simulation (growing pig): Feeds

Feeds

This graph serves to illustrate which feeds (as a quantity or as feed cost) are used during the simulation. Each feed is coded by a different color. Feed utilization can be viewed globally, dynamically or by period. Also the quantity of each feed ingredient used can be displayed.


Single simulation (growing pig): Protein deposition

Protein deposition

This graph serves to identify factors that (potentially) limit protein deposition during the simulation. It differs from the other graphs in that it can be viewed only dynamically as a function of age or body weight. The listbox on the left-hand side of the graph lists the factors that potentially limit protein deposition. The list is sorted in order of decreasing importance and is determined for each simulation (i.e., changing the animal or feed may change the order of the items). Factors that actually limit protein deposition during the simulation are marked by an asterisk. The default graph displays protein deposition as determined by these limiting factors. The black curve, which may be hidden behind other curves, represents the actual protein deposition (i.e., the minimum of all limiting factors).

The items of the list can be selected by left-clicking with the mouse on the item name. Each selected item adds a curve to the figure which displays the protein deposition if the selected item had been limiting protein deposition. For example, it is possible that lysine supply is limiting protein deposition during part of the simulation. Selecting lysine will then display protein deposition if lysine supply would have been limiting throughout the simulation. The overlapping zone for the lysine curve and the black curve then corresponds to the period during which lysine was actually limiting protein deposition.

The curves for "energy" and "PDmax" may overlap at the end of the simulation. Once they overlap, the animal eats sufficiently in order to attain PDmax. If they do not overlap, protein deposition will be on the ascending part of the curvilinear-plateau function (see also Energy response curve).


Single simulation (growing pig): Amino acids

Amino acids

This graph shows the partitioning of the essential amino acids (including arginine) and nitrogen. As cystine can be synthesized from methionine, and tyrosine from phenylalanine, the utilization of the sum of these amino acids is given.

The graphs that deal with the partitioning of amino acids distinguish eight components: indigested, basal endogenous, maintenance, minimum oxidation, deposition, disequilibrium, deficit, and excess. The indigestible fraction corresponds to the fraction that escapes ileal digestion and includes the specific endogenous fraction (i.e., it corresponds to 100 minus the standardized ileal digestibility). The standardized ileal digestibility values for the feed ingredients originate from the INRA-AFZ tables (Sauvant et al., 2004). The basal endogenous value also comes from the same source and varies with dry matter intake. Maintenance corresponds to the amino acid loss with the integuments (e.g., hair) and the loss associated with minimum amino acid turnover. These values correspond to those published by Moughan (1999) and vary with body weight raised to the power 0.75. It is assumed that there is a maximum efficiency with which the amino acid supply above maintenance can be used; the remainder will be oxidized (i.e., the minimum oxidation). The maximum efficiency varies between amino acids and is obtained from a reverse calculation of the ideal amino acid profile.

The actual amino acid deposition depends on the protein deposition and its amino acid profile. The remaining three components (disequilibrium, deficit, and excess) of the graphs are related to a comparison of the amino acid supply, the actual protein deposition, and the protein deposition in the case of an energy-limiting situation. First, the difference between the amino acid supply available for protein deposition and the amino acid deposition in an energy-limiting situation is calculated. Depending on the sign of this difference, it is either considered as excess (positive difference) or deficit (negative difference). In addition, there can be a situation in which an amino acid other than the one under study is limiting protein deposition. The disequilibrium refers to the fraction of an amino acid that is given in excess (under the present simulation conditions) but that could have been deposited if the supply of the other amino acid would not have been non-limiting. In other words, the disequilibrium is the excess due to an inadequate supply of another amino acid. It is impossible to have an excess and deficit of an amino acid at the same time. However, it is possible to have an excess and a deficit displayed in a global graph type. If this is the case, the excess and deficit occurred at different periods in time. The total quantity of an amino acid (global graph type) refers to the total quantity of an amino acid consumed plus the deficit that occurred during the simulation. The table below summarizes the main aspects of amino acids utilization.

 | Integuments | Minimum turnover | Basal endogenous | Body protein composition | Ideal protein | Maximum efficiency
 | mg/kg BW0.75/d | mg/kg BW0.75/d | g/kg DM intake | % | % | %
Lysine | 4.5 | 23.9 | 0.313 | 6.96 | 100 | 72
Methionine | 1.0 | 7.0 | 0.087 | 1.88 | 30 | 64
Cystine | 4.7 | 4.7 | 0.140 | 1.03 | 30 | 37
Threonine | 3.3 | 13.8 | 0.330 | 3.70 | 65 | 61
Tryptophan | 0.9 | 3.5 | 0.117 | 0.95 | 18 | 57
Isoleucine | 2.5 | 12.4 | 0.257 | 3.46 | 55 | 67
Leucine | 5.3 | 27.1 | 0.427 | 7.17 | 100 | 76
Valine | 3.8 | 16.4 | 0.357 | 4.67 | 70 | 71
Phenylalanine | 3.0 | 13.7 | 0.273 | 3.78 | 50 | 82
Tyrosine | 1.9 | 9.0 | 0.223 | 2.86 | 45 | 67
Histidine | 1.3 | 10.2 | 0.130 | 2.79 | 32 | 93
Arginine | 0.0 | 0.0 | 0.280 | 6.26 | 42 | 154
Protein | 104.4 | 361.1 | 8.517 | - | - | 85

The "Supply and Requirement" graph type illustrates the supply and requirement expressed on a standardized or apparent ileal digestibility basis. In addition, the total amino acids supply (but not the requirement) can be displayed. Graphs can be displayed using different modes of expression (g/d, relative to lysine, g/MJ DE, g/MJ ME, g/MJ NE, g/kg feed intake, g/kg daily gain). The amino acid requirement is defined for an energy-limiting situation. If protein deposition in the simulation is limited by the supply of an amino acid, growth would be lower than what it could have been. The requirement expressed per kg daily gain would then not be meaningful. The requirement would then be divided by a growth that does not correspond to the requirement (i.e., as for an energy-limiting situation). If this occurs, the requirement is displayed as a dashed line.


Single simulation (growing pig): Energy

Energy

Energy utilization can be expressed on a GE, DE, ME, or NE basis. The components of energy are the (fecal) indigestible fraction, energy lost as methane or in the urine, maintenance (excluding physical activity), physical activity, heat increment, and energy retained either as protein or as lipid. The requirements for maintenance and physical activity are expressed as an ME equivalent when viewed as GE, DE, or ME. When viewed as NE, the heat increment due to transforming dietary energy for maintenance or activity is excluded. Consequently, the NE values for maintenance and physical activity are lower than GE, DE or ME values.

The graph type "repartitioning of retained energy" serves to illustrate different theories concerning energy partitioning (between LD and PD). InraPorc is based on the theory that the marginal PD (i.e., the change in PD due to a small change in NE intake) declines linearly with body weight (see the Energy response curve in the animal profile for a more complete explanation). Other theories include hypotheses concerning the fraction of energy designated to protein deposition (X, van Milgen et al., 2000), existence of a minimum LD to PD ratio, a minimum marginal PD to LD ratio, or a minimum lipid to protein mass ratio. These theories concern energy partitioning and are therefore meaningful only when the energy supply (or the genotype) is limiting performance. However, during a simulation also amino acids may limit performance, which affects the response of the pig to a changing energy supply. Consequently, results are given for both cases.

For practical reasons, energy values are often considered to depend only on the feed. In InraPorc, this is the case for GE and DE, but not for ME and NE. For example, the ME value of a feed depends (among other) on the utilization of dietary protein for protein deposition; a low protein deposition increases the excretion of urea in the urine and thus lowers the ME value.

The graph type "energy values" illustrates how the calculated (i.e., only feed-dependent) and simulated (i.e., feed- and animal-dependent) energy values change during the simulation. Energy values can be expressed per day, relative to body weight, per kg of feed or per kg of daily gain.


Single simulation (growing pig): Minerals

Minerals

This graph illustrates the utilization of minerals for different functions. Phosphorus is currently the only mineral taken into account (nitrogen is included with the amino acids). The phosphorus requirement is based on a factorial approach and is expressed on a (apparent) fecal digestible basis (Jondreville and Dourmad, 2005). The endogenous phosphorus requirement (g/d) was taken as 0.01 · BW, whereas retained phosphorus was calculated as (5.4199 - 2 · 0.002857 · BW) · ADG.

The indigestible fraction of phosphorus depends on the type of feed, technological treatment (mash or pellets), and the inclusion of phytase. Phytase can be added to the feed ingredients database and should be attributed a digestible phosphorus value.

It is possible that the supply of phosphorus is insufficient to cover the requirements. In that case, the deficiency will be indicated on the graphs, but it will not have consequences on the calculated performance.


Single simulation (growing pig): Mineral balance

Mineral balance

This graph illustrates the retention and excretion of N, P, Ca, K, Cu and Zn. It is evident that this information is useful only if the mineral composition of the diets is accurate. For nitrogen, the excreted fraction is further divided into a urinary and fecal fraction. Nitrogen retention is calculated from the protein retention. The retention of other minerals is calculated from the (empty) body weight (Dourmad et al., 2002, Jondrevillle and Dourmad, 2005).

P = 5.4199 · BW – 0.002857 · BW2
Ca = 8.64633 · eBW - 0.00180 · eBW2
K = 2.53338 · eBW - 0.00345 · eBW2
Cu = 2.8 + 1.05393 · eBW - 0.00251 · eBW2
Zn = 21.8 · eBW

It is possible (e.g., for Ca) that the supply of minerals is smaller than the calculated retention. A deficiency of minerals is currently not accounted for in the calculation of growth. If a deficiency occurs, it will be indicated in the graphs.


Comparison of simulations (growing pig)

Comparison of simulations

Comparison of different simulations can be performed by comparing results of different single simulations or by changing one aspect (e.g., the feed sequence plan) of a reference simulation. When the radiobutton "Single simulations" is checked, the names of up to five single simulations can be selected in the list boxes. The checkboxes on the right-hand side of each list allow including or omitting simulations from the graphs. If one of the other radiobuttons is checked (i.e., "Animal profile", "Feed sequence plan", or "Feed rationing plan"), a reference simulation has to be selected. The animal profile, feed sequence plan and the feed rationing plan of the reference simulation will then be used. It is then possible to change one aspect of the reference simulation (e.g., the "Feed sequence plan") while maintaining the other aspects of the reference simulation (i.e., "Animal profile" and "Feed rationing plan").

Calculations are performed and graphs (i.e., performance, feeds, amino acids, energy and minerals) are displayed after clicking on the "Graph" button. Graphs are configured using three types of information: graph type, dependent value (Y) and independent value (X). Depending on the tabs-sheet chosen, list boxes will be available with which the graphs can be configured. Graphs can be printed by using the right mouse-button. A summary report of the simulations can be obtained by clicking on the "Report" button.


Sensitivity analysis (growing pig)

Sensitivity analysis

A sensitivity analysis is performed by selecting a pig profile, a feed sequence plan, a feed rationing plan and the characteristic for which sensitivity analysis is to be performed. These characteristics concern the animal (meanPD, precocity, maintenance, and BW PDmax), the quantity of feed and the amino acid supply. These characteristics are changed relative to the information defined in the pig profile, the feed sequence plan and the feed rationing plan. By default, the values used are 90%, 95%, 100%, 105%, and 110% of those defined. The range of the sensitivity analysis can be changed using the numerical value ("variation").

Calculations are performed and graphs (i.e., performance, feeds, amino acids, energy and mineral balance) are displayed after clicking on the "Graph" button. Graphs are configured using three types of information: graph type, dependent value (Y) and independent value (X). Depending on the tabs-sheet chosen, list boxes will be available with which the graphs can be configured. Graphs can be printed by using the right mouse-button. A summary report of the simulations can be obtained by clicking on the "Report" button.


Comparison of simulations (growing pig): Performance

Performance

Simulation results can be displayed either dynamically or globally. Display options include different aspects of body weight, time, feed usage, feed efficiency, protein and lipid mass and carcass quality.


Comparison of simulations (growing pig): Feeds

Feeds

This graph serves to illustrate which feeds (as a quantity or as feed cost) are used during different simulations. Each feed is coded by a different color. Also the quantity of each feed ingredient used can be displayed.


Comparison of simulations (growing pig): Amino acids

Amino acids

This graph shows the (average) partitioning of the essential amino acids and nitrogen for different functions. It can also be used to display dynamically the amino acid supply or requirement during a simulation. Requirements can be expressed on a standardized or apparent ileal digestible basis. These can be expressed on a daily basis, per kg of feed or kg of gain, relative to lysine or relative to energy.


Comparison of simulations (growing pig): Energy

Energy

This graph shows the (average) partitioning of energy for different functions. Energy partitioning can be expressed on a GE, DE, ME or NE basis. It can also be used to display dynamically the (calculated or simulated) energy values the diets. Calculated energy values depend only on diet composition and fecal digestibility. Simulated energy values also depend on the way the animal uses the energy. As the latter may change during a simulation, simulated energy values are not constant but change during a simulation.


Comparison of simulations (growing pig): Minerals

Minerals

This graph shows the (average) partitioning of minerals for different functions. Phosphorus is currently the only mineral considered (nitrogen is included with the amino acids). Supply or requirement of digestible phosphorus can be displayed as a function of time or body weight for different simulations.


Comparison of simulations (growing pig): Mineral balance

Mineral balance

This graph illustrates the (average) retention and excretion of N, P, Ca, K, Cu and Zn. It is evident that this information is useful only if the mineral composition of the diets is accurate.


An error occurred while importing data for calibration

There may be several reasons why importing data from a CSV-file failed. Please check the following aspects:

  • Make sure that the CSV-file is not open by another program (e.g., Excel)
  • Verify that the CSV-file contains a header line with 5 items, separated by a list separator (see example below)
  • The decimal symbol and list separator used in the CSV-file should identical to those declared for Windows (in the Control Panel, see the Regional Settings)
  • There should be a minimum of two data lines in the file (plus the header line)
  • Verify that the data lines only contain numeric data
  • The first column of the file (age) should contain only positive integers (e.g., 63, 64)

The example below shows the content of a CSV file. Notice that our Regional Settings are configured to use the semi-colon (;) as list separator and the period (.) as decimal point. The CSV-file contains several empty fields for backfat thickness and lean meat percentage:

Age;Cumulative feed usage;Body weight;Backfat thickness;Lean meat %
60;0;25;;
117;99.75;64.9;;
182;268.75;120.25;;57.4


AJINOMOTO EUROLYSINE S.A.S.

InraPorc was developed with the support of AJINOMOTO EUROLYSINE S.A.S.

Since 1976, AJINOMOTO EUROLYSINE S.A.S.has produced and marketed feed-use amino acids which are obtained by natural fermentation processes.

AJINOMOTO EUROLYSINE S.A.S. is the leading European producer of lysine (100,000 tons/year in L-Lysine HCl equivalents), threonine (35,000 tons/year) and tryptophan (1,300 tons/year). Thanks to its plants located in France and Italy and its distribution network, AJINOMOTO EUROLYSINE S.A.S. is able to supply continental Europe, Africa, the Middle East and Central Asia with quality products and services which are adapted to its customer requirements.

AJINOMOTO EUROLYSINE S.A.S.
153, rue de Courcelles
75817 Paris Cedex 17
France
Tel. : + 33 (0)1 44 40 12 12
Fax : + 33 (0)1 44 40 12 13
www.ajinomoto-eurolysine.com


Acknowledgements

The concepts and user interface of InraPorc were tested with the help of several companies, universities and extension services, including:

Association Française de Zootechnie 16, rue Claude Bernard 75231 Paris Cedex 05 Tel: +33 (0)1 44 08 17 71 www.zootechnie.fr |
NV DANIS Knijffelingstraat 15, 8851 Koolskamp, Belgium Tel: +32 (0)51-744951 www.danis.be |
GROUPE GLON BP 61, St Gérand, 56302 Pontivy Cedex, France Tel: +33 (0)2 97 28 39 39 www.groupe-glon.com |
INZO° BP 19, 02402 Chateau-Thierry cedex, France Tel: +33 (0)3 23 84 80 00 www.inzo-net.com |
IFIP Institut du porc La Motte au Vicomte, BP3, 35651 Le Rheu cedex, France Tel: +33 (0)2 99 60 98 20 www.ifip.asso.fr |
PRIMEX SAS La gare de Baud, BP 21, 56440 Languidic, France Tel: +33 (0)2 97 85 99 66 www.primex.fr | 0


Errors in the links between data files

The different data files (with the extension *.rec) used in InraPorc are all closely linked. For example, a simulation is linked to a feed sequence plan. The latter is linked to a feed which, in turn, may be linked to feed ingredients. If for some reason the link between the different data files gets corrupted, InraPorc cannot function properly.

When the software is started, the entire data structure is verified. If errors are found, they will be listed in a separate window. For the purpose of explaining, we will assume that InraPorc has detected an error in a feed sequence plan that links to a non-existing feed. In the error report, the name of the erroneous feed sequence plan will be listed and we also propose to delete the broken link. If you chose not to delete the broken link, you will not be able to work with the data set and you will have to find a solution yourself (e.g., by restoring the data from a backup). If you choose to delete it, the corrupted link between the (known) feed sequence plan and the (unknown) feed will be deleted and the error report will be saved in the file Errors.log (located in the directory that contains the corrupted data files). You will then regain access to InraPorc and you will have to re-create the broken link manually (i.e., by attributing a new feed to the feed sequence plan). The numerical information of the feed sequence plan (i.e., the termination condition of the rule and the quantity of feed) will remain valid. You only have to provide a new link to the type feed that you want to use. The corrupted feed sequence plan will not be available for use in a simulation until the broken link has been corrected.

We strongly suggest that you correct all corrupted links before you continue using InraPorc.


INRA

INRA – Agrocampus: Unité Mixte de Recherches Systèmes d'Élevage, Nutrition Animale et Humaine

The Unité Mixte de Recherches Systèmes d'Élevage, Nutrition Animale et Humaine (UMR SENAH; Livestock Production Systems, Animal and Human Nutrition) is a joint research group between INRA and Agrocampus. The group has the objective to conduct applied research to respond at demands from producers and the supply chain (husbandry, animal nutrition, transformation) as well as from consumers and citizens (product quality and safety, environment, animal welfare). The main research objectives are:

  • to maintain the competitiveness of animal production systems while increasing the added value
  • to improve product quality
  • to propose production systems that respect the environment and animal welfare

The research unit has installations for physiological studies in pigs, as well as experimental swine production system (200 sows and their offspring).

The Institut National de la Recherche Agronomique (INRA), founded in 1946, is a French public science and technology establishment under the auspices of the ministries in charge of Research and Agriculture. The objectives of INRA are:

  • to serve public interest, whilst maintaining consistency between its research goals and the demands of society.
  • to acquire and disseminate information on scientific knowledge and innovation, particularly in the fields of agriculture, food and the environment.
  • to contribute to decision-making and training, to promote the transfer of scientific knowledge and participate in the science-society debate.

The Agrocampus Rennes (Centre for higher education and research in agronomy) groups together several institutes, with 850 students, 200 lecturer-researchers as well as administrative and technical staff on a campus of 17 ha. Agrocampus trains engineers in the field of life science.


Body and carcass characteristics

For growing pigs, body and carcass characteristics are all calculated from the protein (P) and lipid (L) mass using emperical equations.

Empty body weight (kg, eBW) = 5.969·P0.944 + 0.854·L0.944
Body weight (kg, BW) = (eBW/0.890)0.986

The lean meat percentage (as defined in Commission regulation N° 1197/2006 of the European Union) is the weight of tender loin + weight of lean in the shoulder, loin, ham and belly divided by the weight of these tissues and multplied by 89. The equation used in InraPorc is obtained by regressing the lean meat percentage (calculated through a reference method;Daumas et al., 1998) and the lipid content in empty body weight. The data from the equation come from the study of Kloareg et al. (2006):

Lean meat percentage = 57.43 + 95.68·P/eBW - 62.68·L/eBW

The data for the backfat thickness in growing pigs also comes from this study and refers to the backfat thickness measured at slaughter at 6 cm from the midline between the 3rd and 4th last ribs:

Backfat thickness (mm) = 6.96 + 0.375·L

For sows, the backfat thickness is used, together with the net weight, to estimate the body energy and body protein composition.


Graphical representation of requirements during lactation

Graphs

The main results are presented as graphs. The calculated nutrient requirement can be compared with the nutrient supply by the selected feed sequence plan and feed intake.

Feed

This graph illustrates the recommended feed supply during lactation.

Energy

The average daily requirements for maintenance and milk production are shown as graphs in order to shown the contribution of these functions to the total energy expenditure. Graphs can be visualized as an average for the gestation period or dynamically.

Amino acids

The requirements for the different amino acids are shown as bar-graphs. A dynamic representation of the change in requirement of different amino acids over the course of lactation is also presented and can be compared with the feeding plan. Different modes of expression can be chosen (e.g., per day, relative to energy, relative to lysine).


Graphical representation of requirements during gestation

Graphs

The main results are presented as graphs. The calculated nutrient requirement can be compared with the nutrient supply by the selected feed sequence plan and feed intake.

Feed

This graph illustrates the recommended feed supply during gestation. By default, the supply is assumed to be constant for the whole period. Nevertheless, it is possible to calculate the supply for different feeding strategies during gestation, while using the same average quantity (e.g., an over-feeding during early or late gestation). In that case, gestation is separated in three phases that are defined by duration and feeding levels. The default feeding strategy during gestation can be defined in the configuration menu.

Energy

The average daily requirements for maintenance, thermoregulation, and litter development are shown as graphs in order to shown the contribution of these functions to the total energy expenditure. Graphs can be visualized as an average for the gestation period or dynamically. In certain cases (old sows in good condition), it is possible that, at the end of gestation, the calculated average supply is not sufficient to cover the essential energy expenditure. In that case, it is recommended to modify the repartitioning over the gestation period (lower in early gestation and higher at the end) in order to cover the essential expenditure up to the end of gestation (see preceding paragraph). If a reference feeding plan has been specified, the supply by this plan is shown in the graph, which allows comparison with the requirements.

Amino acids

The requirements for the different amino acids are shown as bar-graphs for 30 and 105 days of gestation. A dynamic representation of the change in requirement of different amino acids over the course of gestation is also presented and can be compared with the feeding plan. Different modes of expression can be chosen (e.g., per day, relative to energy, relative to lysine).